# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## v0.1.5

### Added
* Decorative section component for wavy/angled transitions between blocks of content

### Fixed
* CSS specificity, and updated stories to use monolithic `design-system-core.scss`
* Alert component SCSS added to main `design-system-core.scss`

## v0.1.4

### Added
* Alert component

## v0.1.3

### Changed

* Moved select down arrow image to a data URL (#30)
* Added textarea component
* Added checkbox component
* Added radio component
* Changed default width of forms
* Added full width option to text input
* Existing form inputs updated to allow for simpler DOM while retaining backwards compatibility

### Fixed

* Update typography mixin import path

## v0.1.1

### Changes
* Now publishes to npmjs.com publicly
* README updated to simplify usage docs

## v0.1.0

### Major changes
The spacing and typography scales have been changed in this version compared to pre v0.1.0. Docs are included with mappings between the old and new property names.

### Changes
* Added a changelog!
* Added changelog and readme to the Storybook output
* Updated spacing scale and added docs
* Updated typography scale and added docs
